import influxframework


def execute():
	influxframework.reload_doctype("Employee")
	influxframework.db.sql("update tabEmployee set first_name = employee_name")

	# update holiday list
	influxframework.reload_doctype("Holiday List")
	for holiday_list in influxframework.get_all("Holiday List"):
		holiday_list = influxframework.get_doc("Holiday List", holiday_list.name)
		holiday_list.db_set("total_holidays", len(holiday_list.holidays), update_modified=False)
